
## ${functionName}

### 查询${functionName}列表

**请求URL:** ${RequestMapping}/list

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 查询${functionName}

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:---|:---
page|Integer|否|当前页
size|Integer|否|每页条数，值为-1，查询所有记录
<#list columns as column>
    <#if column.isQuery == 1>
         <#if column.javaType=="String" >
${column.javaField}|${column.javaType}|${column.columnComment}|否|字段前后添加%%模糊查询
            <#else>
${column.javaField}|${column.javaType}|${column.columnComment}|否|-
         </#if>
    </#if>
</#list>

**请求样例:**
```
  {
<#list columns as column>
    <#if column.isQuery == 1>
    <#if column.javaType=="String" ||column.javaType=="Date">
        <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
    <#else>
        <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
    </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
        "page":1,
        "size":10
  }

```
**响应参数:**

参数名称|参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;per_page|Integer|每页条数
&emsp;total|Integer|总条数
&emsp;last_page|Integer|总页数
&emsp;current_page|Integer|当前页
&emsp;data|array|结果集列表|数组
<#list columns as column>
&emsp;&emsp;${column.javaField}|${column.javaType}|${column.columnComment}
</#list>
dict|object|字典对象
<#list columns as column>
    <#if column.dict??&&(column.columnType?contains("tinyint") ||column.htmlType==3||column.htmlType==5)>
&emsp;${column.javaField}|object|字典属性对象，详见附录
    </#if>
</#list>

**响应消息样例:**
```
{
    "code":1,
    "data":{
    }
}
```

### 查看${functionName}

**请求URL:** ${RequestMapping}/info

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 查看${functionName}，返回实例详细信息

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
${pkColumn.javaField}|${pkColumn.javaType}|是|ID

**请求样例:**
```
    http://localhost/${RequestMapping}/info?id=549
```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:-------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
<#list columns as column>
&emsp;${column.javaField}|${column.javaType}|${column.columnComment}
</#list>
dict|object|字典对象
<#list columns as column>
    <#if column.dict??&&(column.columnType?contains("tinyint") ||column.htmlType==3||column.htmlType==5)>
&emsp;${column.javaField}|object|字典属性对象，详见附录
    </#if>
</#list>

**响应消息样例:**
```
{
    "code": 1,
    "data": {
        <#list columns as column>
            <#if column.javaType=="String" ||column.javaType=="Date">
                <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
                <#else>
                <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
            </#if>
            "${column.javaField}":${fakeValue}<#sep>,</#sep>
        </#list>
        }
}
```

### 保存更新${functionName}

**请求URL:** ${RequestMapping}/save

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 保存或更新${functionName}：id为空时为新增保存，否则为更新提交

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:-------
<#list columns as column>
<#if !column.isSuperColumn(column.javaField)>
${column.javaField}|${column.javaType}|是|${column.columnComment}
</#if>
</#list>

**请求样例:**
```
{
<#list columns as column>
    <#if !column.isSuperColumn(column.javaField)>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
            <#else>
            <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
        </#if>
    "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>
}

```
**响应参数:**

参数名称 |参数类型|描述
:---|:---|:------
code|Integer|结果码（-1.失败，1.成功）
msg|String|消息
data|object|数据对象
&emsp;id|Long|保存后主键id
&emsp;entity|object|保存更新实体
<#list columns as column>
&emsp;&emsp;${column.javaField}|${column.javaType}|${column.columnComment}
</#list>

**响应消息样例:**
```
{
    "msg":"新增模块成功",
    "code":1,
    "data":{}
    }
}

```

### 删除${functionName}

**请求URL:** ${RequestMapping}/delete

**请求方式:** GET

**内容类型:** application/json;charset=utf-8

**简要描述:** 删除${functionName}

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
${pkColumn.javaField}|String|是|数组

**请求样例:**
```
    http://localhost:8080/${RequestMapping}/delete?id=1&id=2'
```
**响应参数:**

参数名称 |参数类型|备注|其它
---|---|---|---
code|Integer|结果码（-1.失败，1.成功）|-
msg|String|消息|-


**响应消息样例:**
```
{
    "code":1,
	"msg":"成功"
}

```
<#if table.isGenExport==1 >

### 导入${functionName}模板下载

**请求URL:** ${RequestMapping}/downloadTemplate

**请求方式:** POST

**内容类型:** application/octet-stream;charset=utf-8

**简要描述:** ${functionName}导入模板下载

**请求样例:**
```
    http://localhost/${RequestMapping}/downloadTemplate
```

**Response-example:**
```
...

```

### 导入${functionName}

**请求URL:** ${RequestMapping}/importData

**请求方式:** POST

**内容类型:** multipart/form-data

**简要描述:** 导入${functionName}

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
file|file|是|文件流

**请求样例:**
```
    http://localhost/${RequestMapping}/importData --data 'updateSupport=true'

```

**Response-example:**
```
...

```


### 导出${functionName}

**请求URL:** ${RequestMapping}/exportExcel

**请求方式:** POST

**内容类型:** application/json;charset=utf-8

**简要描述:** 导出${functionName}

**请求参数:**

参数名称|类型|必填|描述
:---|:---|:---|:------
idList|Arrays|否|id数组
<#list columns as column>
    <#if column.isQuery == 1>
        ${column.javaField}|${column.javaType}|${column.columnComment}|否|参数查询条件
    </#if>
</#list>

**请求样例:**
```
{
    idList:[1,2],
<#list columns as column>
    <#if column.isQuery == 1>
        <#if column.javaType=="String" ||column.javaType=="Date">
            <#assign fakeValue>"${column.randomStr(column.javaType)}"</#assign>
        <#else>
            <#assign fakeValue>${column.randomStr(column.javaType)}</#assign>
        </#if>
        "${column.javaField}":${fakeValue}<#sep>,</#sep>
    </#if>
</#list>

}


```

**Response-example:**
```
...

```
</#if>
